﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing.Printing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPF_Report_EndPrintingFlag
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        C1.C1Report.C1Report c1Rpt;

        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            string fileName = Environment.GetFolderPath(Environment.SpecialFolder.Desktop) + @"\CommonTasks.xml";
            string reportName = "01: Alternating Background (Greenbar report)";

            c1Rpt = new C1.C1Report.C1Report();
            c1Rpt.Load(fileName, reportName);
            c1Rpt.Document.PrintPage += Document_PrintPage;
            c1Rpt.Document.EndPrint += Document_EndPrint;

            c1DViewer.Document = c1Rpt.C1Document.FixedDocumentSequence;
        }


        bool printStatus = false;

        void Document_PrintPage(object sender, PrintPageEventArgs e)
        {
            printStatus = e.HasMorePages;
            System.Threading.Thread.Sleep(100);
        }

        void Document_EndPrint(object sender, PrintEventArgs e)
        {
            if (printStatus)
                MessageBox.Show("Printing Cancelled");
            else
                MessageBox.Show("Printing Completed");
        }

        private void pdocBtn_Click(object sender, RoutedEventArgs e)
        {
            c1Rpt.Document.Print();
        }
    }
}
